SearchTrusts
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.WorkloadFederation.SearchTrusts(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.WorkloadFederationServiceSearchTrustsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.workloadFederation.searchTrusts();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/workload_federation_trusts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageSize": 123,
"pageToken": "<string>",
"providerId": "<string>",
"query": "<string>",
"servicePrincipalId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/workload_federation_trusts"
payload = {
"pageSize": 123,
"pageToken": "<string>",
"providerId": "<string>",
"query": "<string>",
"servicePrincipalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pageSize: 123,
pageToken: '<string>',
providerId: '<string>',
query: '<string>',
servicePrincipalId: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/workload_federation_trusts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"allowSourceCidrs": [
"<string>"
],
"clientId": "<string>",
"conditionExpression": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"passthroughClaims": [
"<string>"
],
"providerId": "<string>",
"scopedRoleIds": [
"<string>"
],
"servicePrincipalId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Workload Federation
Search Trusts
SearchTrusts searches trusts across all service principals with optional filters. Used by the admin providers page to list trusts referencing a provider.
POST
/
api
/
v1
/
search
/
workload_federation_trusts
SearchTrusts
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.WorkloadFederation.SearchTrusts(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.WorkloadFederationServiceSearchTrustsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.workloadFederation.searchTrusts();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The WorkloadFederationServiceSearchTrustsRequest message.
Was this page helpful?
⌘I